> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener mensajes de un thread/conversación

> Operacion: Obtener mensajes de un thread/conversación.



## OpenAPI

````yaml /generated/specs/communications.json get /api/omnichannel/threads/{threadId}
openapi: 3.0.0
info:
  title: Raul API - Comunicaciones
  description: Inbox, omnichannel, bandejas compartidas, email sync, WhatsApp, spam y tags.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/omnichannel/threads/{threadId}:
    get:
      tags:
        - Omnichannel
      summary: Obtener mensajes de un thread/conversación
      description: 'Operacion: Obtener mensajes de un thread/conversación.'
      operationId: OmnichannelController_getThread
      parameters:
        - name: threadId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Cantidad de mensajes a retornar
          schema:
            minimum: 1
            maximum: 100
            default: 30
            type: number
        - name: before
          required: false
          in: query
          description: >-
            Cursor: activity_id del mensaje más antiguo - cargar mensajes
            anteriores a este
          schema:
            type: string
      responses:
        '200':
          description: ''
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````